CREATE PROCEDURE dbo.OnlineCancellationFeeData @LanguageCode VARCHAR(5), @WareName VARCHAR(50) OUTPUT, @Price MONEY OUTPUT, @PriceInPercent BIT OUTPUT, @NoCancellationFeeOnExtras BIT OUTPUT AS
SET NOCOUNT ON
/*
    Created by Jacob Pedersen 2005-04-25

    Changes: N/A

    NOTES: 	- 

*/
SELECT @WareName=WareName,@Price=Price,@PriceInPercent=PriceInPercent FROM Ware WITH (NOLOCK) INNER JOIN WareGroups WITH (NOLOCK) ON Ware.WareGroupNumber=WareGroups.WareGroupNumber
AND Ware.SortNumber=1 AND WareGroups.Payment=4 AND (Ware.MarkAsDeleted=0 OR Ware.MarkAsDeleted IS NULL) AND (WareGroups.MarkAsDeleted=0 OR WareGroups.MarkAsDeleted IS NULL)

DECLARE @tmpStr CHAR(1)
SELECT @tmpStr=KeyValue FROM HotelSetup WITH (NOLOCK) WHERE Upper(SearchKey)=Upper('NoCancellationFeeOnExtras')

IF @tmpStr = '1'
  SET @NoCancellationFeeOnExtras = 1
ELSE
  SET @NoCancellationFeeOnExtras = 0

